
# **************************************************************************** #
#
# LENGUAJE / SISTEMA:
#     Ring -> Linux Mint.
# AUTOR:
#     Antonio F.S.
# PROYECTO:
#     Travesía natación SwimBcn.
# PROGRAMA:
#     P01-1_Vista01Controller.ring.
# FECHA INICIO:
#     04/08/2022.
# FECHA FINAL:
#     ??/??/????.
# COMENTARIOS:
#     Este programa es el controlador de todo lo concerniente a Vista01. Desde
#     aquí, se enviarán mensajes a los diferentes programas de la aplicación.
#
# **************************************************************************** #

// Carga en memoria de los archivos de programa involucrados.
// **************************************************************
	Load "P01-1_Vista01View.ring"
	Load "P02Altas.ring"
	
	import System.GUI
	
	If IsMainSourceFile() {
		New App {
			StyleFusion()
			openWindow(:P01_1_Vista01Controller)
			exec()
		}
	}


// Clase controladora de la Vista01.
// *********************************	
	Class P01_1_Vista01Controller From windowsControllerParent

		// Creación objetos de instancias.
		// -------------------------------------------
			oVista1 = New P01_1_Vista01View
			oAltas   = New Altas

        // Se inhabilita la opción de poder redimensionar la vista/ventana.
        // -----------------------------------------------------------------------------------------
			oVista1.win{ setFixedSize( width(),height() ) }
	
	EndClass


// Métodos de la clase controladora de la Vista01.
// ************************************************
	Func Entrada_datos_del_participante
		oAltas.altasParticipantes( oVista1.btn_Altas, oVista1.Etq_ZonaInfo )
	EndFunc
